
From: Paul Mackerras <paulus@samba.org>

This patch is from Hanna Linder.

As pci_find_device is going away using the new for_each_pci_dev macro.  If
someone with a PPC64 system could test it I would appreciate it.

Signed-off-by: Hanna Linder <hannal@us.ibm.com>
Signed-off-by: Maximilian Attems <janitor@sternwelten.at>
Signed-off-by: Paul Mackerras <paulus@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/iSeries_pci.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN arch/ppc64/kernel/iSeries_pci.c~ppc64-iseries_pcic-use-for_each_pci_dev arch/ppc64/kernel/iSeries_pci.c
--- 25/arch/ppc64/kernel/iSeries_pci.c~ppc64-iseries_pcic-use-for_each_pci_dev	2004-11-04 19:39:02.001233136 -0800
+++ 25-akpm/arch/ppc64/kernel/iSeries_pci.c	2004-11-04 19:39:02.006232376 -0800
@@ -312,8 +312,7 @@ void __init iSeries_pci_final_fixup(void
 	mf_displaySrc(0xC9000100);
 
 	printk("pcibios_final_fixup\n");
-	while ((pdev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, pdev))
-			!= NULL) {
+	for_each_pci_dev(pdev) {
 		node = find_Device_Node(pdev->bus->number, pdev->devfn);
 		printk("pci dev %p (%x.%x), node %p\n", pdev,
 		       pdev->bus->number, pdev->devfn, node);
_
